aboutsummaryrefslogtreecommitdiffstats
path: root/find-requires.in
diff options
context:
space:
mode:
Diffstat (limited to 'find-requires.in')
-rwxr-xr-xfind-requires.in27
1 files changed, 27 insertions, 0 deletions
diff --git a/find-requires.in b/find-requires.in
index 1e76523..fe7f8da 100755
--- a/find-requires.in
+++ b/find-requires.in
@@ -50,6 +50,9 @@ liblist=`echo "$filelist" | egrep -v "/usr/lib(64)?/gcj/" | xargs -r file | \
ocamllist=`echo "$filelist" | xargs -r file | \
grep ":.*Objective caml interface file" | cut -d : -f1`
phplist=`echo "$filelist" | grep -v /usr/doc | grep -v /usr/share/doc | egrep "\.php$"`
+mavenlist=$(echo "$filelist" |egrep '/usr/share/maven-fragments/*')
+osgilist=$(echo "$filelist" |egrep "^(.*\.jar|((/usr/lib(64)|/usr/share).*/MANIFEST.MF))")
+javadoclist=$(echo "$filelist" |egrep '/usr/share/javadoc/*')
interplist=
perllist=
@@ -326,5 +329,29 @@ echo $filelist | tr '[:blank:]' '\n' | /usr/bin/haskell-find-requires \
&& test ${PIPESTATUS[2]} -ne 0 && echo 'error: /usr/bin/haskell-find-requires failed' >&2 && exit 1
fi
+# --- osgi requires
+if [ -x @RPMLIBDIR@/osgi.req ];then
+ if [ ! -z "$osgilist" ]; then
+ echo "$osgilist" | tr '[:blank:]' '\n' | @RPMLIBDIR@/osgi.req \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/osgi.req failed' >&2 && exit 1
+ fi
+fi
+
+#
+# --- maven requires
+if [ -x @RPMLIBDIR@/maven.req ];then
+ if [ ! -z "$mavenlist" ]; then
+ echo "$mavenlist" | tr '[:blank:]' '\n' | @RPMLIBDIR@/maven.req \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/maven.req failed' >&2 && exit 1
+ fi
+fi
+
+# --- javadoc requires
+if [ -x @RPMLIBDIR@/javadoc.req ];then
+ if [ ! -z "$javadoclist" ]; then
+ echo "$javadoclist" | tr '[:blank:]' '\n' | @RPMLIBDIR@/javadoc.req \
+ && test ${PIPESTATUS[2]} -ne 0 && echo 'error: @RPMLIBDIR@/javadoc.req failed' >&2 && exit 1
+ fi
+fi
exit 0